<?php /* ===========================================
	Plugin Name:    Skin Custom Login Page
	Description:    Custom login page for wp-admin
	Version:		1.0
	Author:         NordWood Themes
	Author URI:		http://nordwoodthemes.com/
	Text Domain:	skin-custom-login-page
==================================================== */
	if ( ! function_exists( 'skin_admin_fonts_url' ) ) :
		function skin_admin_fonts_url() {
			$fonts_url = '';
			
		/* Translators: If there are characters in your language that are not
		* supported by Raleway, translate this to 'off'. Do not translate
		* into your own language.
		*/			
			$raleway = esc_attr_x( 'on', 'Raleway font: on or off', 'skin-custom-login-page' );
 
			if ( 'off' !== $raleway ) {
				$fonts_url = add_query_arg( 'family', rawurlencode( 'Raleway:400,500,600,700&subset=latin,latin-ext' ), "//fonts.googleapis.com/css" );
			}
			
			return esc_url_raw( $fonts_url );
		}
	endif;

	add_action( 'login_enqueue_scripts', 'skin_login_page' );
	
	if ( ! function_exists( 'skin_login_page' ) ) :
		function skin_login_page() {
			wp_enqueue_style(
				'skin-admin-fonts',
				skin_admin_fonts_url(),
				array(),
				null
			);
			
			wp_enqueue_style(
				'skin_login_page',
				plugins_url( '/css/login.css' , __FILE__ )
			);
			
			wp_register_script(
				'skin_login_page',
				plugins_url( '/js/login.js' , __FILE__ ),
				array('jquery'),
				'',
				true
			);
			
			$args = array(
				'title_before' => esc_html__( 'Welcome to', 'skin-custom-login-page' ),
				'title_after' => esc_html__( 'login page', 'skin-custom-login-page' )
			);
			
			wp_localize_script( 'skin_login_page', 'args', $args );
			wp_enqueue_script( 'skin_login_page' );
		}
	endif;	
	
	add_filter( 'login_headerurl', 'skin_admin_logo_url' );
	
	function skin_admin_logo_url() {
		return esc_url( home_url( '/' ) );
	}
?>