/* ==============================================
	SCRPITS FOR GOOGLE MAP
	Skin - Premium WordPress Theme, by NordWood
================================================= */
(function($) {
	"use strict";
	
	$.fn.skinRenderGoogleMap = function() {
		var map,
			holder = $(this);
	
		if ( 0 < holder.length ) {
			holder.each( function() {
				var gmap		= $(this).find(".google-map"),
					pin			= gmap.data("map-pin"),
					title		= gmap.data("map-title"),
					id			= gmap.attr("id"),
					zoomLevel	= gmap.data("map-zoom"),
					latitude	= gmap.data("map-lat"),
					longitude	= gmap.data("map-lng"),
					address		= gmap.data("map-address");
				
				if ( '' != latitude && '' != longitude ) {
					map = new google.maps.Map (
						document.getElementById(id), {
						zoom: zoomLevel,
						center: {lat: latitude, lng: longitude},
						scrollwheel: false,
						zoomControl: true,
						mapTypeControl: true,
						scaleControl: false,
						streetViewControl: false,
						rotateControl: false,
						fullscreenControl: false
					});
					
					if ( '' != pin ) {
						var marker = new google.maps.Marker({
							map: map,
							position: {lat: latitude, lng: longitude},
							icon: pin,
							title: title
						});
					}
					
				} else if ( '' != address ) {
					var geocoder = new google.maps.Geocoder();
					
					geocoder.geocode({'address': address}, function(results, status) {
						if ( status === google.maps.GeocoderStatus.OK ) {
							map = new google.maps.Map(
								document.getElementById(id), {
								zoom: zoomLevel,
								center: results[0].geometry.location,
								scrollwheel: false,
								zoomControl: true,
								mapTypeControl: true,
								scaleControl: false,
								streetViewControl: false,
								rotateControl: false,
								fullscreenControl: false
							});
					
							if ( '' != pin ) {
								var marker = new google.maps.Marker({
									map: map,
									position: results[0].geometry.location,
									icon: pin,
									title: title
								});
							}

						} else {
							console.log( 'Geocode was not successful for the following reason: ' + status );
						}
					});
					
				} else {
					console.log( 'Some data is missing for Google Map to render successfully.' );
				}		
			});
		}
	}
	
	if ( 0 < $( '.skin-map-holder' ).length ) {
		$( '.skin-map-holder' ).skinRenderGoogleMap();
	}
})(jQuery);