/* ================================================
	SCRPITS FOR POSTS LIST IN MASONRY LAYOUT
	Skin - Premium WordPress Theme, by NordWood
=================================================== */
jQuery( document ).ready( function($) {
	"use strict";
		
// Resize featured image box inside masonry item
	$( '.masonry-item').each( function () {
		$(this).skinSetFeaturedBoxSizePerImgRatio();
	});
	
	$(window).on( 'load', function(){
		listContainer.imagesLoaded( function(){				
			$( '.masonry-item' ).each( function() {
				$(this).skinSetFeaturedBoxSizePerImgRatio();
			});
		});
	});
	
	var listContainer = $( '#posts-list.masonry' );
	
	var container = listContainer.masonry({
		initLayout:			false,
		itemSelector: 		'.masonry-item-wrapper',
		columnWidth: 		'.masonry-item-sizer',
		percentPosition:	true,
		originLeft: $('body').hasClass( 'rtl' ) ? false : true
	});

	container.masonry( 'once', 'layoutComplete', function(items) {
		var elems = container.masonry( 'getItemElements' );
			
		$(elems).find( '.masonry-content' ).css({ "visibility":"visible", "opacity":1 });
			
		var imageFormat = $(elems).find( '.post.format-image' );
		
		if ( 0 < imageFormat.length ) {
			imageFormat.each( function() {
				var imagePost = $(this),
					imagePostHeader = imagePost.find( '.post-header' ),
					imagePostTitle = imagePost.find( '.post-title' );
					
				if ( 0 < imagePostTitle.length ) {
					var imagePostLink = imagePostTitle.attr( 'href' ),
						imagePostTarget = imagePostTitle.attr( 'target' );
				
					imagePostHeader.wrapInner( '<a class="va-middle" href="'+imagePostLink+'" target="'+imagePostTarget+'"></a>' );
				}
			});
		}
	});

	listContainer.imagesLoaded( function(){
		container.masonry();	
	});
	
    $(window).on('resize', function() {
		$( '.masonry-item' ).each(function() {
			$(this).skinSetFeaturedBoxSizePerImgRatio();
		});
		
    }).trigger('resize');
});